slepc-3.21.1 2024-04-26
Report Typos and Errors

# STFilterSetRange

Defines the numerical range (or field of values) of the matrix, that is, the interval containing all eigenvalues.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterSetRange(ST st,PetscReal left,PetscReal right)

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| left | - left end of the interval
| right | - right end of the interval

### Options Database Key

| -st_filter_range <a,b> | - set [a,b] as the numerical range

### Notes

The filter will be most effective if the numerical range is tight, that is, left and right are good approximations to the leftmost and rightmost eigenvalues, respectively.

### See Also

STFilterGetRange(), STFilterSetInterval()

### Level

intermediate

### Location

src/sys/classes/st/impls/filter/filter.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages